Bug 123445 - (NET E100) Fedora Core 2 Freeze on Wakeonlan packets hit the network card
(NET E100) Fedora Core 2 Freeze on Wakeonlan packets hit the network card
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 12:36 EDT by Marc Olivier Chouinard
Modified: 2015-01-04 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump -i eth0 -vv -n > dump.info (70.55 KB, text/plain)
2004-05-21 12:42 EDT, Marc Olivier Chouinard
no flags Details
tcpdump -i eth0 -vv -n > dump2.info (test 2) (64.59 KB, text/plain)
2004-05-21 12:49 EDT, Marc Olivier Chouinard
no flags Details

  None (edit)
Description Marc Olivier Chouinard 2004-05-18 12:36:09 EDT
Description of problem:
After installing and a fews hours on the HP Vectra computer, the 
Linux freeze.  It still answer to ping, but all services (even 
console) doesn't reply.  I had that problem using test3(which did 
output information when frozen) but someone from #fedora told he the 
final would work fine.  But it dont, sorry I havent submit a bug 
repport instead.

Let me know if I can do anything to give you more information.

Version-Release number of selected component (if applicable):
Fedora Core 2 final (Test 3 also)

How reproducible:
Install Fedora Core 2 on a HP Vectra.  and wait

Steps to Reproduce:
1. Install Fedora core 2 (I use minimal install)
2. Wait
  
Actual results:
Everything freeze

Expected results:
Should continue to work

Additional info:
Comment 1 Marc Olivier Chouinard 2004-05-19 10:50:38 EDT
I just tryed again on a Compaq EVO D510 (P4 1.5) and same probleme.  
I wonder if it might be the traffic on our local network that just 
make the kernel hang. I'll reboot the machine and let it unplug from 
the network and see.
Comment 2 Marc Olivier Chouinard 2004-05-21 10:54:34 EDT
Wakeonlan make the kernel FREEZE.... NOT GOOD 
Comment 3 Alan Cox 2004-05-21 11:20:02 EDT
What network chips are these two machines using ?
Comment 4 Marc Olivier Chouinard 2004-05-21 11:48:17 EDT
thet both use the e100 driver
Comment 5 Marc Olivier Chouinard 2004-05-21 12:04:31 EDT
I tryed it again on my Evo (by tcpdump > to the HD) and once the pc 
crash, it wont boot again anymore, Bios dont detect the Harddrive.  
Not good, Going to try another harddrive soon and see if it just HD 
or machine are is dead

Marc
Comment 6 Marc Olivier Chouinard 2004-05-21 12:07:48 EDT
HD Dead, Maxtor DiamondMax Plus 8 20gig ATA/133HD. Viva warrenty.
This problem really cause alot of bad thing.  Hope you can fix it.
Comment 7 Marc Olivier Chouinard 2004-05-21 12:19:34 EDT
12:11:24.262980 10.150.110.203.1469 > 10.150.190.255.32767: udp 102
12:11:24.263003 10.150.110.203.1469 > 10.150.190.255.32767: udp 102
12:11:24.279847 10.150.110.203.1470 > 10.150.190.255.32767: udp 102
12:11:24.279872 10.150.110.203.1470 > 10.150.190.255.32767: udp 102

the WOL request machine send about 4900 of these packets (600 time to 
7 different VLAN)
After that, the linux is crashed
Comment 8 Alan Cox 2004-05-21 12:34:01 EDT
Those are UDP broadcasts not wake on lan packets as far as I can see.

As to the disk, Linux has no way of breaking the disk - thats just
chance occurence.
Comment 9 Marc Olivier Chouinard 2004-05-21 12:41:34 EDT
well those are the packets another linux machine capture from the 
network card.  As for linux breaking the HD.. May be it just bad 
luck, but it not old machine and on 550 PC, it would be the first 
that does that over here. I'l attach a dump file that work from the 
HP machine (up until it crashed)
Comment 10 Marc Olivier Chouinard 2004-05-21 12:42:43 EDT
Created attachment 100424 [details]
tcpdump -i eth0 -vv -n > dump.info

From the HP Vectra PC FC2 (Minimal install)
Comment 11 Marc Olivier Chouinard 2004-05-21 12:49:13 EDT
Created attachment 100425 [details]
tcpdump -i eth0 -vv -n > dump2.info (test 2)

From the HP Vectra PC FC2 (Minimal install) (Another test)
Comment 12 Marc Olivier Chouinard 2004-05-21 12:53:44 EDT
I did a manual wake-on-lan on the Linux MAC and it crash. I tryed 
other MAC and it was fine.
Comment 13 Marc Olivier Chouinard 2004-06-21 13:42:15 EDT
Is there any update on this ? I can't put that box live if it 
vulnerable to DoS attack
Comment 14 Alan Cox 2004-06-21 19:04:27 EDT
At the moment I can't duplicate it on any e100 hardware I have nor can
find any reference to the same problem anywhere else on the internet.
That makes it kind of hard to fix.

Comment 15 Marc Olivier Chouinard 2004-07-05 11:20:59 EDT
Ok here my new testing :
rmmod e100 after system is booted, and doing wakeonlan again, and 
system still crash
But I just thought to REMOVE ACPI and APM  (linux acpi=off apm=off at 
boot time) and it fine, doesn't crash anymore.

Want the wakeonlan program I use, I open source, but I lost the 
source :(
Comment 16 Dan Slowik 2004-09-24 10:14:35 EDT
I think this sound a bit like the 129103 bug lots of folks seem to be
ancountering on stock core 2 2.6.5-1.358

hangs our ibm e server pentium 4 .  No console or login services work 
from then on but we can ping the box.
Comment 17 Dave Jones 2005-04-16 01:34:08 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.